#
# __init__.py
#
# Módulo de inicialización
#
# Alejandro Álvarez Ayllón - 19/12/2006
#
from Products.Archetypes.public import process_types, listTypes
from Products.CMFCore import utils
from Products.CMFCore.DirectoryView import registerDirectory

from config import SKINS_DIR, GLOBALS, PROJECTNAME

registerDirectory(SKINS_DIR, GLOBALS, "i18n")

def initialize(context):
    """
    Descripción: Inicializa el producto.
    Parámetros:  context = Contexto de ejecución.
    Devuelve:    Nada.
    """
    ## Tipos a registrar (Archetypes)
    import ATBugTracking

    from permissions import ADD_PERMISSION

    
    content_types, constructors, ftis = process_types(
        listTypes(PROJECTNAME),
        PROJECTNAME)

    all_types = zip(content_types, constructors)
    for content, constructor in all_types:
        kind = '%s: %s' % (PROJECTNAME, content.portal_type)
        utils.ContentInit(
            PROJECTNAME + ' Content',
            content_types      = (content,),
            permission         = ADD_PERMISSION[content.portal_type],
            extra_constructors = (constructor,),
            fti                = ftis,
            ).initialize(context)

