#
# ATRef_EBook.py
#
# Referencias bibliográficas basadas en BibTex
#
# Libro electrónico (PDF, HTML, ...)
#
# Alejandro Álvarez Ayllón - 01/04/2006
#

from Products.Archetypes.public import BaseSchema, Schema
from Products.Archetypes.public import StringField
from Products.Archetypes.public import StringWidget
from Products.CMFCore import CMFCorePermissions
from Products.Archetypes.public import BaseContent, registerType
from config import PROJECTNAME
from ATRef_Booklet import ATRef_Booklet

# Campos
schema = ATRef_Booklet.schema +  Schema((
    StringField('url',
		required = 1,
		widget = StringWidget(label = 'URL')
                ),
    ),
                              )
# Clase
class ATRef_EBook(ATRef_Booklet):
    """E-Book Reference"""

    schema = schema

    content_icon    = 'ref_ebook.gif'
    meta_type       = 'ATRef_EBook'
    portal_type     = 'EBookReference'
    archetype_name  = 'E-Book Reference'
    typeDescription = 'E-Book Reference'

    actions = ({
	'id'         : 'view',
	'name'       : 'View',
	'action'     : 'string:${object_url}/ebook_view',
	'permissions': (CMFCorePermissions.View,)
	},)

# Registrar tipo
registerType(ATRef_EBook, PROJECTNAME)
